Opened 11 years ago

Closed 11 years ago

#25326 closed update (wontfix)

Update rabbitmq-server to version 1.8.0

Reported by: marek@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: haspatch Cc: meyer@…, tonyg@…, david@…, packaging@…
Port: rabbitmq-server

Description

Rabbitmq-server version 1.8.0 has been released (see http://lists.rabbitmq.com/pipermail/rabbitmq-announce/2010-June/000025.html).

The attached patch updates the Portfile and wrapper script.

Attachments (1)

macports-rabbitmq-1.8.0-update.patch (1.6 KB) - added by marek@… 11 years ago.

Download all attachments as: .zip

Change History (7)

Changed 11 years ago by marek@…

comment:1 Changed 11 years ago by jmroot (Joshua Root)

Keywords: haspatch added
Version: 1.9.0

comment:2 Changed 11 years ago by jmroot (Joshua Root)

Why are you listing erlang twice in the dependencies?

comment:3 Changed 11 years ago by marek@…

Right, it should be like that:

depends_lib port:erlang depends_build port:xmlto port:libxslt

comment:4 in reply to:  3 Changed 11 years ago by marek@…

Replying to marek@…:

Right, it should be like that:

I fixed that in rabbitmq-server codebase.

http://hg.rabbitmq.com/rabbitmq-server/rev/88b67cbec313

But I will attempt to merge it back to macports only after new rabbitmq release.

For now, under this ticket lets try only to synchronize macports portfile with our released portfile:

http://www.rabbitmq.com/releases/macports/net/rabbitmq-server/Portfile

comment:5 Changed 11 years ago by marek@…

Ignore this bug please.

Due to macports decision to upgrade Erlang package to R14A, rabbitmq-server no longer compiles. We're going to address both of the issues in a separate bug.

comment:6 Changed 11 years ago by mf2k (Frank Schima)

Resolution: wontfix
Status: newclosed
Note: See TracTickets for help on using tickets.